%define upstream_name    Dist-Zilla-Plugin-Test-CheckBreaks
%define upstream_version 0.016

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generate a test that shows what modules you are breaking
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Check) >= 0.11.0
BuildRequires: perl(CPAN::Meta::Requirements)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Section) >= 0.4.0
BuildRequires: perl(Dist::Zilla) >= 4.300.39
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::ModuleMetadata)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd)
BuildRequires: perl(JSON::PP) >= 2.273.0
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a the Dist::Zilla manpage plugin that runs at the
Dist::Zilla::Role::FileGatherer stage, providing a test file that runs last
in your test suite and checks for conflicting modules, as indicated by
'x_breaks' in your distribution metadata. (See the _t/zzz-check-breaks.t_
test in this distribution for an example.)

'x_breaks' entries are expected to be CPAN::Meta::Spec/Version Ranges, with
one addition, for backwards compatibility with
Dist::Zilla::Plugin::Conflicts: if a bare version number is specified, it
is interpreted as ''<= $version'' (to preserve the intent that versions at
or below the version specified are those considered to be broken). It is
possible that this interpretation will be removed in the future; almost
certainly before 'breaks' becomes a formal part of the meta specification.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.16.0-2.mga6
+ Revision: 1026587
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 0.16.0-1.mga6
+ Revision: 953173
- update to 0.016

* Tue Jan 12 2016 shlomif <shlomif> 0.14.0-1.mga6
+ Revision: 922119
- Importing from cpan2pkg


* Mon Dec 28 2015 cpan2dist 0.014-1mga
- initial mageia release, generated with cpan2dist
